=head1 NAME

Gtk2::Pango::Renderer

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::Pango::Renderer


=head1 METHODS

=head2 $renderer-E<gt>B<activate> 

=over

Since: pango 1.8

=back

=head2 color or undef = $renderer-E<gt>B<get_color> ($part)

=over

=over

=item * $part (Gtk2::Pango::RenderPart) 

=back

Since: pango 1.8

=back

=head2 $renderer-E<gt>B<set_color> ($part, $color)

=over

=over

=item * $part (Gtk2::Pango::RenderPart) 

=item * $color (Gtk2::Pango::Color or undef) 

=back

Since: pango 1.8

=back

=head2 $renderer-E<gt>B<deactivate> 

=over

Since: pango 1.8

=back

=head2 $renderer-E<gt>B<draw_error_underline> ($x, $y, $width, $height)

=over

=over

=item * $x (integer) 

=item * $y (integer) 

=item * $width (integer) 

=item * $height (integer) 

=back

Since: pango 1.8

=back

=head2 $renderer-E<gt>B<draw_glyph> ($font, $glyph, $x, $y)

=over

=over

=item * $font (Gtk2::Pango::Font) 

=item * $glyph (integer) 

=item * $x (double) 

=item * $y (double) 

=back

Since: pango 1.8

=back

=head2 $renderer-E<gt>B<draw_layout> ($layout, $x, $y)

=over

=over

=item * $layout (Gtk2::Pango::Layout) 

=item * $x (integer) 

=item * $y (integer) 

=back

Since: pango 1.8

=back

=head2 $renderer-E<gt>B<draw_layout_line> ($line, $x, $y)

=over

=over

=item * $line (Gtk2::Pango::LayoutLine) 

=item * $x (integer) 

=item * $y (integer) 

=back

Since: pango 1.8

=back

=head2 $renderer-E<gt>B<draw_rectangle> ($part, $x, $y, $width, $height)

=over

=over

=item * $part (Gtk2::Pango::RenderPart) 

=item * $x (integer) 

=item * $y (integer) 

=item * $width (integer) 

=item * $height (integer) 

=back

Since: pango 1.8

=back

=head2 $renderer-E<gt>B<draw_trapezoid> ($part, $y1_, $x11, $x21, $y2, $x12, $x22)

=over

=over

=item * $part (Gtk2::Pango::RenderPart) 

=item * $y1_ (double) 

=item * $x11 (double) 

=item * $x21 (double) 

=item * $y2 (double) 

=item * $x12 (double) 

=item * $x22 (double) 

=back

Since: pango 1.8

=back

=head2 layout = $renderer-E<gt>B<get_layout> 

=over

Since: pango 1.20

=back

=head2 layoutline = $renderer-E<gt>B<get_layout_line> 

=over

Since: pango 1.20

=back

=head2 matrix or undef = $renderer-E<gt>B<get_matrix> 

=over

Since: pango 1.8

=back

=head2 $renderer-E<gt>B<set_matrix> ($matrix)

=over

=over

=item * $matrix (Gtk2::Pango::Matrix or undef) 

=back

Since: pango 1.8

=back

=head2 $renderer-E<gt>B<part_changed> ($part)

=over

=over

=item * $part (Gtk2::Pango::RenderPart) 

=back

Since: pango 1.8

=back


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::Pango::RenderPart

=over

=item * 'foreground' / 'PANGO_RENDER_PART_FOREGROUND'

=item * 'background' / 'PANGO_RENDER_PART_BACKGROUND'

=item * 'underline' / 'PANGO_RENDER_PART_UNDERLINE'

=item * 'strikethrough' / 'PANGO_RENDER_PART_STRIKETHROUGH'

=back



=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>

=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

